# This is the smtpd server system-wide configuration file.
# See smtpd.conf(5) for more information.

table aliases file:/etc/aliases
table relayauth { relayuser = "{{ opensmtpd_mail_relay_user }}:{{ opensmtpd_mail_relay_password }}" }

# To accept external mail, replace with: listen on all
#
listen on localhost

action "local" maildir alias <aliases>
action "relay" relay \
    host smtps://relayuser@{{ opensmtpd_mail_relay_host }} \
    auth <relayauth> \
    mail-from "{{ opensmtpd_mail_relay_user }}"

# Uncomment the following to accept external mail for domain "example.org"
#
# match from any for domain "example.org" action "local"
match for local action "local"
match from local for any action "relay"
